diff --git a/templates/pages/developer/alpha.html b/templates/pages/developer/alpha.html
index b122cf4..3abba13 100644
--- a/templates/pages/developer/alpha.html
+++ b/templates/pages/developer/alpha.html
@@ -13,11 +13,13 @@ tests, alpha releases might have serious bugs.  Also features may be
 changed incompatibly or removed before beta releases.
 </p>
 <p>
-PostgreSQL 9.5 is now released, so there will be no additional alpha 
-releases until PostgreSQL 9.6.
+There are no alpha releases in the PostgreSQL 9.6 version.  The developers have
+chosen to proceed directly to <a href="/developer/beta">9.6 beta</a>.
 </p>
+<!--
 <p>We depend on our large community of users to test the features in alpha
  releases and report issues.  If you are able to contribute to PostgreSQL by
-doing alpha testing, please see our 
+doing alpha testing, please see our
 <a href="https://wiki.postgresql.org/wiki/HowToBetaTest">Alpha/Beta Testing Page.</a></p>
+-->
 {%endblock%}
diff --git a/templates/pages/developer/beta.html b/templates/pages/developer/beta.html
index 22208bc..7da69a8 100644
--- a/templates/pages/developer/beta.html
+++ b/templates/pages/developer/beta.html
@@ -9,19 +9,20 @@
 
 <p>However, betas and release candidates are meant for everyone who uses PostgreSQL to test before the full release. The process of testing these betas will help the community to identify and fix bugs prior to release.</p>
 
+<!--
 <p>PostgreSQL 9.5.0 has been released.  The first alpha or beta of 9.6 is not yet released for beta testing.  Beta testing 9.6 is likely to begin in late 2016.</p>
+-->
 
-<!--
-<p>The current test release is PostgreSQL 9.5 Release Candidate 1.  For more information on the current beta and how to test, please view the links below.
+<p>The current test release is PostgreSQL 9.6 Beta 1.  For more information on the current beta and how to test, please view the links below.
 
 <ul>
   <li>
-    <a href="/about/news/1631/">Release Announcement</a>
+    <a href="/about/news/####/">Release Announcement</a>
   </li>
   <li>
-    <a href="/ftp/source/v9.5rc1">Download 9.5 Release Candidate 1 source code</a>
+    <a href="/ftp/source/v9.6beta1">Download 9.6 Release Candidate 1 source code</a>
   </li>
-  
+
   <li>
     <a href="https://wiki.postgresql.org/wiki/HowToBetaTest">A Guide on PostgreSQL Beta Testing</a>
   </li>
